Subject: Re: Re: bug#15261: 24.2; Cursor not visible while moving point in transient mark mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Sep 2013 23:21:59 +0300

> Date: Wed, 4 Sep 2013 15:47:56 -0000
> From: "RICHARD MUNITZ (BLOOMBERG/ 731 LEXIN)" <[email-masked]>
> Cc: [email-masked]
> 
> Client and server machine are LAN connected.  Yes, it is a Solaris server.  A tracert from my machine to the server shows 7 hops, but all under 1ms latency.  
> The reported behavior consistently occurs 100% of the time and has for the 4 weeks I have been working in this environment - including off-hours.  So I don't think bandwidth is a factor either.  
> Note that Bloomberg's core business is distributing real-time market data to the financial industry, so they are rather obsessive about high performance networks.

Does the problem happen for you when you run Emacs locally on that
machine?  Or does it only happen in this particular configuration,
when you use Exceed to access a Solaris server from a Windows machine?

> For comparison, I just tried running gvim and repeated the same "highlight text" test (from top of file I hit "v" (visual mode) and then pressed and held the "j" (down) key. gvim was able to continuously move the cursor and highlight line after line, scrolling screen after screen without ever freezing up. 

Comparisons with gvim are meaningless, because there's no primitive
"highlight this text" operation that both Emacs and gvim use.  Each
one of them highlights text using very different methods.  In Emacs,
the portion of the text that is highlighted is actually fully
redisplayed.